CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2004-0079

The do_change_cipher_spec function in OpenSSL 0.9.6c to 0.9.6k, and 0.9.7a to 0.9.7c, allows remote attackers to cause a denial of service (crash) via a crafted SSL/TLS handshake that triggers a null dereference.
Publish Date : 2004-11-23 Last Update Date : 2021-11-08
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID CWE id is not defined for this vulnerability

- Vendor Statements

Red Hat Enterprise Linux 5 is not vulnerable to this issue as it contains a backported patch.
Source: Redhat

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat important 2004-03-08 2004-03-17
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
Multiple Vendor OpenSSL 0.9.6x, 0.9.7x Null-Pointer DoS Vulnerability oval:org.mitre.oval:def:5770 ios
OpenSSL Denial of Service Vulnerabilities oval:org.mitre.oval:def:2621 unix
Red Hat Enterprise 3 OpenSSL do_change_cipher_spec Function Denial of Service oval:org.mitre.oval:def:870 unix
Red Hat OpenSSL do_change_cipher_spec Function Denial of Service oval:org.mitre.oval:def:975 unix
RHSA-2004:120: openssl security update (Important) oval:com.redhat.rhsa:def:2004120 unix
RHSA-2004:120: openssl security update (Important) oval:com.redhat.rhsa:def:20040120 unix
RHSA-2005:830: openssl096b security update (Moderate) oval:com.redhat.rhsa:def:20050830 unix
RHSA-2005:830: openssl096b security update (Moderate) oval:com.redhat.rhsa:def:2005830 unix
The do_change_cipher_spec function in OpenSSL 0.9.6c to 0.9.6k, and 0.9.7a to 0.9.7c, allows remote attackers to cause a... oval:org.mitre.oval:def:9779 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2004-0079

# Product Type Vendor Product Version Update Edition Language
1 OS Apple Mac Os X 10.3.3 * * * Version Details Vulnerabilities
2 OS Apple Mac Os X Server 10.3.3 * * * Version Details Vulnerabilities
3 Hardware Avaya Converged Communications Server 2.0 * * * Version Details Vulnerabilities
4 Hardware Avaya Sg200 4.4 * * * Version Details Vulnerabilities
5 Hardware Avaya Sg200 4.31.29 * * * Version Details Vulnerabilities
6 Hardware Avaya Sg203 4.4 * * * Version Details Vulnerabilities
7 Hardware Avaya Sg203 4.31.29 * * * Version Details Vulnerabilities
8 Hardware Avaya Sg208 * * * * Version Details Vulnerabilities
9 Hardware Avaya Sg208 4.4 * * * Version Details Vulnerabilities
10 Hardware Avaya SG5 4.2 * * * Version Details Vulnerabilities
11 Hardware Avaya SG5 4.3 * * * Version Details Vulnerabilities
12 Hardware Avaya SG5 4.4 * * * Version Details Vulnerabilities
13 Application Cisco Ciscoworks Common Management Foundation 2.1 * * * Version Details Vulnerabilities
14 Application Cisco Ciscoworks Common Services 2.2 * * * Version Details Vulnerabilities
15 Hardware Cisco Firewall Services Module * * * * Version Details Vulnerabilities
16 Hardware Cisco Firewall Services Module 1.1.2 * * * Version Details Vulnerabilities
17 Hardware Cisco Firewall Services Module 1.1.3 * * * Version Details Vulnerabilities
18 Hardware Cisco Firewall Services Module 1.1 \(3.005\) * * * Version Details Vulnerabilities
19 Hardware Cisco Firewall Services Module 2.1 \(0.208\) * * * Version Details Vulnerabilities
20 OS Freebsd Freebsd 4.8 Releng * * Version Details Vulnerabilities
21 OS Freebsd Freebsd 4.8 * * * Version Details Vulnerabilities
22 OS Freebsd Freebsd 4.9 * * * Version Details Vulnerabilities
23 OS Freebsd Freebsd 5.1 * * * Version Details Vulnerabilities
24 OS Freebsd Freebsd 5.1 Release * * Version Details Vulnerabilities
25 OS Freebsd Freebsd 5.1 Releng * * Version Details Vulnerabilities
26 OS Freebsd Freebsd 5.2 * * * Version Details Vulnerabilities
27 OS Freebsd Freebsd 5.2.1 Release * * Version Details Vulnerabilities
28 Hardware HP Aaa Server * * * * Version Details Vulnerabilities
29 Hardware HP Apache-based Web Server 2.0.43.00 * * * Version Details Vulnerabilities
30 Hardware HP Apache-based Web Server 2.0.43.04 * * * Version Details Vulnerabilities
31 OS HP Hp-ux 8.05 * * * Version Details Vulnerabilities
32 OS HP Hp-ux 11.00 * * * Version Details Vulnerabilities
33 OS HP Hp-ux 11.11 * * * Version Details Vulnerabilities
34 OS HP Hp-ux 11.23 * * * Version Details Vulnerabilities
35 OS Openbsd Openbsd 3.3 * * * Version Details Vulnerabilities
36 OS Openbsd Openbsd 3.4 * * * Version Details Vulnerabilities
37 OS Redhat Enterprise Linux 3.0 * Advanced Server * Version Details Vulnerabilities
38 OS Redhat Enterprise Linux 3.0 * Enterprise Server * Version Details Vulnerabilities
39 OS Redhat Enterprise Linux 3.0 * Workstation Server * Version Details Vulnerabilities
40 OS Redhat Enterprise Linux Desktop 3.0 * * * Version Details Vulnerabilities
41 OS Redhat Linux 7.2 * * * Version Details Vulnerabilities
42 OS Redhat Linux 7.3 * * * Version Details Vulnerabilities
43 OS Redhat Linux 8.0 * * * Version Details Vulnerabilities
44 OS SCO Openserver 5.0.6 * * * Version Details Vulnerabilities
45 OS SCO Openserver 5.0.7 * * * Version Details Vulnerabilities
46 Hardware Symantec Clientless Vpn Gateway 4400 5.0 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apple Mac Os X 1
Apple Mac Os X Server 1
Avaya Converged Communications Server 1
Avaya Sg200 2
Avaya Sg203 2
Avaya Sg208 2
Avaya SG5 3
Cisco Ciscoworks Common Management Foundation 1
Cisco Ciscoworks Common Services 1
Cisco Firewall Services Module 5
Freebsd Freebsd 8
HP Aaa Server 1
HP Apache-based Web Server 2
HP Hp-ux 4
Openbsd Openbsd 2
Redhat Enterprise Linux 3
Redhat Enterprise Linux Desktop 1
Redhat Linux 3
SCO Openserver 2
Symantec Clientless Vpn Gateway 4400 1

- References For CVE-2004-0079

http://www.trustix.org/errata/2004/0012
TRUSTIX 2004-0012
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A2621
OVAL oval:org.mitre.oval:def:2621
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A5770
OVAL oval:org.mitre.oval:def:5770
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A975
OVAL oval:org.mitre.oval:def:975
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A870
OVAL oval:org.mitre.oval:def:870
https://exchange.xforce.ibmcloud.com/vulnerabilities/15505
XF openssl-dochangecipherspec-dos(15505)
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9779
OVAL oval:org.mitre.oval:def:9779
http://support.avaya.com/elmodocs2/security/ASA-2005-239.htm CONFIRM
http://secunia.com/advisories/18247
SECUNIA 18247
http://www.mandriva.com/security/advisories?name=MDKSA-2004:023
MANDRAKE MDKSA-2004:023
http://support.lexmark.com/index?page=content&id=TE88&locale=EN&userlocale=EN_US CONFIRM
http://marc.info/?l=bugtraq&m=108403806509920&w=2
HP SSRT4717
http://marc.info/?l=bugtraq&m=107953412903636&w=2
BUGTRAQ 20040317 New OpenSSL releases fix denial of service attacks [17 March 2004]
http://www.slackware.org/security/viewer.php?l=slackware-security&y=2004&m=slackware-security.455961
SLACKWARE SSA:2004-077
http://lists.apple.com/archives/security-announce/2005//Aug/msg00001.html
APPLE APPLE-SA-2005-08-17
http://www.redhat.com/support/errata/RHSA-2005-830.html
REDHAT RHSA-2005:830
http://secunia.com/advisories/11139
SECUNIA 11139
http://secunia.com/advisories/17398
SECUNIA 17398
http://secunia.com/advisories/17381
SECUNIA 17381
http://www.redhat.com/support/errata/RHSA-2005-829.html
REDHAT RHSA-2005:829
http://secunia.com/advisories/17401
SECUNIA 17401
http://www.redhat.com/archives/fedora-announce-list/2005-October/msg00087.html
FEDORA FEDORA-2005-1042
http://www.redhat.com/support/errata/RHSA-2004-139.html
REDHAT RHSA-2004:139
http://www.ciac.org/ciac/bulletins/o-101.shtml
CIAC O-101
http://lists.apple.com/archives/security-announce/2005/Aug/msg00000.html
APPLE APPLE-SA-2005-08-15
http://www.us-cert.gov/cas/techalerts/TA04-078A.html
CERT TA04-078A
http://www.securityfocus.com/bid/9899
BID 9899 OpenSSL Denial of Service Vulnerabilities Release Date:2006-05-05
http://www.openssl.org/news/secadv_20040317.txt CONFIRM
http://www.uniras.gov.uk/vuls/2004/224012/index.htm
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000834
CONECTIVA CLA-2004:834
http://www.debian.org/security/2004/dsa-465
DEBIAN DSA-465
http://www.redhat.com/support/errata/RHSA-2004-120.html
REDHAT RHSA-2004:120
http://security.gentoo.org/glsa/glsa-200403-03.xml
GENTOO GLSA-200403-03
http://fedoranews.org/updates/FEDORA-2004-095.shtml
FEDORA FEDORA-2004-095
http://www.cisco.com/warp/public/707/cisco-sa-20040317-openssl.shtml
CISCO 20040317 Cisco OpenSSL Implementation Vulnerability
http://www.kb.cert.org/vuls/id/288574
CERT-VN VU#288574
http://lists.apple.com/mhonarc/security-announce/msg00045.html CONFIRM
http://docs.info.apple.com/article.html?artnum=61798 CONFIRM
http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsalert/57524
SUNALERT 57524
http://www.novell.com/linux/security/advisories/2004_07_openssl.html
SUSE SuSE-SA:2004:007
ftp://ftp.sco.com/pub/updates/OpenServer/SCOSA-2004.10/SCOSA-2004.10.txt
SCO SCOSA-2004.10
http://www.redhat.com/support/errata/RHSA-2004-121.html
REDHAT RHSA-2004:121
ftp://ftp.netbsd.org/pub/NetBSD/security/advisories/NetBSD-SA2004-005.txt.asc
NETBSD NetBSD-SA2004-005
ftp://ftp.freebsd.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-04:05.openssl.asc
FREEBSD FreeBSD-SA-04:05
http://www.linuxsecurity.com/advisories/engarde_advisory-4135.html
ENGARDE ESA-20040317-003

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0

- Metasploit Modules Related To CVE-2004-0079

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.